/*
// File written by Jochen "Khuri" Dippel <khuri@khuris.com>
// Copyright 2018
//
// File        : ulslider.js
// Begin       : 2014.10.10 16:49:44
// Last Update : 2018.03.13 15:29:34
*/

var ulslider = {
	// ClassNames of DIV-tags containing images
	ulslidertocatch: 'ulslider',
	// vars containers
	uldata: [],
	ulnav: [],
	sizecatched: false,
	// functions
	init: function() {
		var ic = 0;
		for(var e=0;e<document.getElementsByTagName('div').length;e++) {
			var b = document.getElementsByTagName('div')[e];
			var rg = new RegExp("\s*"+this.ulslidertocatch+"_source\s*","g");
			if(rg.test(b.className)) {
				this.sizecatched = false;
				// grab options from CSS
				var opt = this.getcssoptions(b,0);
				this.uldata[ic] = [];
				// ulnav = [0=elm,1=slide-active,2=current-slide,3=slide-mode,4=slide-sizes,5=slide-ul,6=slide-time,7=slide-arrows,8=slide-nav,9=pausebutton,10=ispaused,11=intervallID,12=autoplay,13=slide-interval,14=responsive,15=navlist-images,16=loop,17=arrows,18=copyright,19=responsiveat]
				this.ulnav[ic] = [b,false,0,opt['type'],[],[],opt['time'],opt['arrows'],opt['navigation'],opt['pausebutton'],true,null,opt['autoplay'],opt['interval'],opt['responsive'],opt['navlistimg'],opt['loop'],[],opt['copyright'],opt['responsiveat']];
				this.walkelement(ic);
				this.buildslider(ic);
				if(opt['autoplay'] && this.uldata[ic].length > 1) {
					(function() {
						var iic = ic;
						var iinterval = opt['interval'];
						ulslider.ulnav[ic][10] = false;
						ulslider.ulnav[ic][11] = setInterval(function(){ulslider.slide(1,0,iic);},iinterval);
					}())
				}
				ic++;
			}
		}
		window.addEventListener("resize",function(){ulslider.resizewindow();});
		ulslider.resizewindow();
	},
	g: function(gid) {
		return (document.getElementById(gid)) ? document.getElementById(gid) : false;
	},
	addevent: function(ev,elm,func) {
		if(elm.addEventListener) {
			elm.addEventListener(ev,func,false);
		}
		else if(elm.attachEvent) {
		  elm.attachEvent("on"+ev,func);
		}
	},
	getcssprop: function(elmt,cssprop) {
		if(window.getComputedStyle) {
			return window.getComputedStyle(elmt,null)[cssprop];
		}
		else if(elmt.currentStyle) {
			return elmt.currentStyle[cssprop];
		}
		return elmt.style[cssprop];
	},
	setcss: function(elm,prop,val,valtype,unit) {
		if(valtype == "string") {
			val = String(val);
		}
		else if(valtype == "float") {
			val = parseFloat(val)+unit;
		}
		else {
			val = parseInt(val)+unit;
		}
		if(elm.style.setProperty) {
			elm.style.setProperty(prop,val);
		}
		else {
			elm.style.setAttribute(prop,val);
		}
	},
	remcss: function(elm,prop) {
		if(elm.style.removeProperty) {
			elm.style.removeProperty(prop);
		}
		else {
			elm.style.removeAttribute(prop);
		}
	},
	getcssoptions: function(b,ignoreempty) {
		// grab options from CSS
		var opt = [];
		var regexstring = new RegExp("\s*"+this.ulslidertocatch+"_([\\w]+)_([\\w\\d]+)\s*","g");
		var regex = regexstring.exec(b.className);
		while(regex != null) {
			opt[regex[1]] = regex[2];
			regex = regexstring.exec(b.className);
		}
		if(ignoreempty == 0 || ('type' in opt)) {
			opt['type'] = ('type' in opt) ? opt['type'] : 'fade';
		}
		if(ignoreempty == 0 || ('autoplay' in opt)) {
			opt['autoplay'] = ('autoplay' in opt) ? ((opt['autoplay'] == "true") ? true : false) : true;
		}
		if(ignoreempty == 0 || ('time' in opt)) {
			opt['time'] = ('time' in opt) ? parseInt(opt['time']) : 1000;
		}
		if(ignoreempty == 0 || ('interval' in opt)) {
			opt['interval'] = ('interval' in opt) ? parseInt(opt['interval']) : 5000;
		}
		if(ignoreempty == 0 || ('arrows' in opt)) {
			opt['arrows'] = ('arrows' in opt) ? ((opt['arrows'] == "true") ? true : false) : true;
		}
		if(ignoreempty == 0 || ('navigation' in opt)) {
			opt['navigation'] = ('navigation' in opt) ? ((opt['navigation'] == "true") ? true : false) : true;
		}
		opt['noanleft'] = ('noan' in opt && opt['noan'] == "left") ? true : false;
		opt['noanright'] = ('noan' in opt && opt['noan'] == "right") ? true : false;
		if(ignoreempty == 0 || ('pausebutton' in opt)) {
			opt['pausebutton'] = ('pausebutton' in opt) ? ((opt['pausebutton'] == "true") ? true : false) : false;
		}
		if(ignoreempty == 0 || ('resize' in opt) || ('responsive' in opt)) {
			opt['responsive'] = ('resize' in opt || 'responsive' in opt) ? ((opt['responsive'] == "true" || opt['resize'] == "true") ? true : false) : true;
		}
		if(ignoreempty == 0 || ('navlistimg' in opt)) {
			opt['navlistimg'] = ('navlistimg' in opt) ? ((opt['navlistimg'] == "true") ? true : false) : false;
		}
		if(ignoreempty == 0 || ('loop' in opt)) {
			opt['loop'] = ('loop' in opt) ? ((opt['loop'] == "true") ? true : false) : true;
		}
		if(ignoreempty == 0 || ('copyright' in opt)) {
			opt['copyright'] = ('copyright' in opt && opt['copyright'] == "true") ? true : false;
		}
		if(ignoreempty == 0 || ('responsiveat' in opt)) {
			opt['responsiveat'] = ('responsiveat' in opt) ? parseInt(opt['responsiveat']) : 0;
		}
		return opt;
	},
	walkelement: function(elmid) {
		var elm = this.ulnav[elmid][0];
		for(var i=0;i<elm.childNodes.length;i++) {
			// catch ul-tags
			if(elm.childNodes[i].nodeName.toLowerCase() == "ul") {
				for(var o=0;o<elm.childNodes[i].childNodes.length;o++) {
					// catch li-tags
					if(elm.childNodes[i].childNodes[o].nodeName.toLowerCase() == "li") {
						this.uldata[elmid].push([i,o]);
						// note size
						if(!this.sizecatched) {
							this.sizecatched = true;
							// save size of first content
							this.ulnav[elmid][4] = [this.getcssprop(elm.childNodes[i].childNodes[o],"width"),this.getcssprop(elm.childNodes[i].childNodes[o],"height")];
							this.setcss(elm.childNodes[i].childNodes[o],"left",0,"int","%");
							this.toggleactclass(elm.childNodes[i].childNodes[o],1);
						}
						else {
							this.setcss(elm.childNodes[i].childNodes[o],"left",100,"int","%");
							this.toggleactclass(elm.childNodes[i].childNodes[o],0);
						}
					}
				}
			}
		}
	},
	buildslider: function(elmid) {
		var elm = this.ulnav[elmid][0];
		// build navigation buttons
		if(this.ulnav[elmid][7] && this.uldata[elmid].length > 1) {
			// left
			var eta = document.createElement("div");
			eta.className = "ulslider_goleft";
			ulslider.addevent('click', eta, function(){ulslider.slide(-1,0,elmid);});
			this.ulnav[elmid][17][0] = eta;
			elm.appendChild(eta);
			// right
			var eta = document.createElement("div");
			eta.className = "ulslider_goright";
			if(this.uldata[elmid].length > 1) {
				eta.className += " act";
			}
			ulslider.addevent('click', eta, function(){ulslider.slide(1,0,elmid);});
			this.ulnav[elmid][17][1] = eta;
			elm.appendChild(eta);
		}
		// nav
		if(this.ulnav[elmid][8] && this.uldata[elmid].length > 1) {
			var ul = document.createElement("ul");
			ul.className = "ulslider_list";
			// ul stop/play button
			if(this.ulnav[elmid][9]) {
				var eta = document.createElement("li");
				eta.className = "navigationbutton playbutton";
				if(this.ulnav[elmid][12]) {
					eta.className = "navigationbutton stopbutton";
				}
				eta.innerHTML = "&nbsp;";
				var eta2 = document.createElement("div");
				eta.appendChild(eta2);
				var elmi = elmid;
				ulslider.addevent('click', eta, function(){ulslider.startstopslide(elmi);});
				ul.appendChild(eta);
			}
			// ul nav buttons
			for(var i=0;i<this.uldata[elmid].length;i++) {
				(function() {
					var eta = document.createElement("li");
					if(i==0) {
						eta.className = "marked";
					}
					var ii = i;
					var elmi = elmid;
					ulslider.addevent('click', eta, function(){ulslider.startstopslide(elmi);});
					ulslider.addevent('click', eta, function(){ulslider.slide(0,ii,elmi);});
					eta.innerHTML = "&nbsp;";
					if(ulslider.ulnav[elmid][15]) {
						// get possible image from slider
						var iom = false;
						var io = ulslider.ulnav[elmid][0].childNodes[ulslider.uldata[elmid][i][0]].childNodes[ulslider.uldata[elmid][i][1]];
						for(var v=0;v<io.childNodes.length;v++) {
							if(io.childNodes[v].nodeName.toLowerCase() == "img") {
								iom = io.childNodes[v].src;
								break;
							}
							else if(ulslider.getcssprop(io,'backgroundImage')) {
								iom = ulslider.getcssprop(io,'backgroundImage');
								var myregexp = /(["'])(.*?)\1/;
								var match = myregexp.exec(iom);
								iom = (match != null) ? match[2] : false;
							}
						}
						if(iom !== false) {
							ulslider.setcss(eta,"background-image","url("+iom+")","string");
						}
					}
					ul.appendChild(eta);
				}())
			}
			if(ulslider.ulnav[elmid][15]) {
				ul.className += " preview";
			}
			this.ulnav[elmid][5] = ul;
			elm.appendChild(ul);
		}
		// copyright
		if(this.ulnav[elmid][18]) {
			var d = document.createElement("div");
			d.className = "ulslider_copyright";
			var currentid = this.ulnav[elmid][2];
			if(this.uldata[elmid][currentid]) {
				var currentelement = this.ulnav[elmid][0].childNodes[this.uldata[elmid][currentid][0]].childNodes[this.uldata[elmid][currentid][1]];
				d.innerHTML = (currentelement.querySelector(".copyright")) ? ((currentelement.querySelector(".copyright_link")) ? '<a href="'+((!(/^https?:\/\//i.test(currentelement.querySelector(".copyright_link").innerHTML))) ? 'http://' : '')+currentelement.querySelector(".copyright_link").innerHTML+'" target="_blank">' : '')+currentelement.querySelector(".copyright").innerHTML+((currentelement.querySelector(".copyright_link")) ? '</a>' : '') : "";
				elm.appendChild(d);
			}
		}
	},
	slide: function(dir,gotoid,elmid) {
		// check if element exists and no animation is active
		if(this.ulnav[elmid] && this.ulnav[elmid][1] == false && ((dir == 0 && gotoid != this.ulnav[elmid][2]) || dir != 0)) {
			// is loop active or are we at one of the ends
			if(this.ulnav[elmid][16] || (!this.ulnav[elmid][16] && ((gotoid >= 0 && dir == 0) || (dir != 0 && ((dir > 0 && ((this.ulnav[elmid][2]+1) < this.uldata[elmid].length)) || (dir < 0 && ((this.ulnav[elmid][2]-1) >= 0))))))) {
				// lock function
				this.ulnav[elmid][1] = true;
				var goingright = false;
				var currentid = this.ulnav[elmid][2];
				var currentelement = this.ulnav[elmid][0].childNodes[this.uldata[elmid][currentid][0]].childNodes[this.uldata[elmid][currentid][1]];
				// find image to switch to
				if(dir == 0) {
					if(gotoid > 0) {
						this.ulnav[elmid][2] = (gotoid < this.uldata[elmid].length) ? gotoid : (this.uldata[elmid].length-1);
					}
					else {
						this.ulnav[elmid][2] = 0;
					}
					if(currentid < gotoid || (currentid == (this.uldata[elmid].length -1) && gotoid <= 0)) {
						goingright = true;
					}
				}
				else {
					if(dir > 0) {
						this.ulnav[elmid][2] = ((this.ulnav[elmid][2]+1) < this.uldata[elmid].length) ? this.ulnav[elmid][2]+1 : 0;
						goingright = true;
					}
					else {
						this.ulnav[elmid][2] = ((this.ulnav[elmid][2]-1) >= 0) ? this.ulnav[elmid][2]-1 : (this.uldata[elmid].length-1);
					}
				}
				var nextid = this.ulnav[elmid][2];
				var nextelement = this.ulnav[elmid][0].childNodes[this.uldata[elmid][nextid][0]].childNodes[this.uldata[elmid][nextid][1]];
				// toggle act class on arrows
				if(this.ulnav[elmid][17].length > 0) {
					this.toggleactclass(this.ulnav[elmid][17][0],(((this.ulnav[elmid][2]-1) >= 0) ? 1 : -1));
					this.toggleactclass(this.ulnav[elmid][17][1],(((this.ulnav[elmid][2]+1) < this.uldata[elmid].length) ? 1 : -1));
				}
				// hide new image in list
				if(this.ulnav[elmid][8]) {
					this.marklist(elmid,this.ulnav[elmid][2]);
				}
				// slide-type and slide-speed can be set globally by UL or individually by LI-element; options different from UL default have higher importance; check current and next element
				var opt = this.getcssoptions(currentelement,1);
				opt['type'] = (('type' in opt) && opt['type'] != this.ulnav[elmid][3]) ? opt['type'] : this.ulnav[elmid][3];
				opt['slidetime'] = (('time' in opt) && opt['time'] != this.ulnav[elmid][6]) ? parseInt(opt['time']) : this.ulnav[elmid][6];
				// confirm animation
				opt['type'] = ((opt['noanleft'] && !goingright) || (opt['noanright'] && goingright)) ? this.ulnav[elmid][3] : opt['type'];
				var opt2 = this.getcssoptions(nextelement,1);
				opt['type'] = (('type' in opt2) && opt2['type'] != this.ulnav[elmid][3]) ? opt2['type'] : opt['type'];
				opt['slidetime'] = (('time' in opt2) && opt2['time'] != this.ulnav[elmid][6]) ? parseInt(opt2['time']) : opt['slidetime'];
				// confirm animation
				opt['type'] = ((opt2['noanleft'] && goingright) || (opt2['noanright'] && !goingright)) ? this.ulnav[elmid][3] : opt['type'];
				// animation type
				if(opt['type'] == "fade") {
					// move element
					this.setcss(currentelement,"z-index",1,"int","");
					this.setcss(nextelement,"left",0,"int","%");
					this.setcss(currentelement,"left",0,"int","%");
					this.setcss(nextelement,"filter","alpha(opacity=0)","string","");
					this.setcss(nextelement,"opacity","0","int","");
					var fs = parseFloat(opt['slidetime']/1000);
					// fade old
					setTimeout(function() {
						ulslider.setcss(currentelement,"-webkit-transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"-moz-transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"-o-transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"filter","alpha(opacity=0)","string","");
						ulslider.setcss(currentelement,"opacity","0","int","");
						ulslider.setcss(nextelement,"-webkit-transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"-moz-transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"-o-transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"filter","alpha(opacity=100)","string","");
						ulslider.setcss(nextelement,"opacity","1","int","");
						},50);
					// reset current
					setTimeout(function() {
						ulslider.remcss(currentelement,"-webkit-transition");
						ulslider.remcss(currentelement,"-moz-transition");
						ulslider.remcss(currentelement,"-o-transition");
						ulslider.remcss(currentelement,"transition");
						ulslider.remcss(nextelement,"-webkit-transition");
						ulslider.remcss(nextelement,"-moz-transition");
						ulslider.remcss(nextelement,"-o-transition");
						ulslider.remcss(nextelement,"transition");
						},opt['slidetime']+50);
					// move current
					setTimeout(function() {
						ulslider.setcss(currentelement,"left",100,"int","%");
						ulslider.remcss(currentelement,"filter");
						ulslider.remcss(currentelement,"opacity");
						ulslider.remcss(currentelement,"z-index");
						ulslider.remcss(nextelement,"filter");
						ulslider.remcss(nextelement,"opacity");
						},opt['slidetime']+100);
				}
				// slide as default animation
				else {
					// if we go to the right, move next element to the left
					if(dir != 0) {
						this.setcss(nextelement,"left",((dir > 0) ? "" : "-")+100,"int","%");
					}
					else if(nextid < currentid) {
						this.setcss(nextelement,"left","-"+100,"int","%");
					}
					else {
						this.setcss(nextelement,"left",100,"int","%");
					}
					// set transition for both
					var fs = parseFloat(opt['slidetime']/1000);
					setTimeout(function() {
						ulslider.setcss(currentelement,"-webkit-transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"-moz-transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"-o-transition","all "+fs+"s ease","string","");
						ulslider.setcss(currentelement,"transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"-webkit-transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"-moz-transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"-o-transition","all "+fs+"s ease","string","");
						ulslider.setcss(nextelement,"transition","all "+fs+"s ease","string","");
						},50);
					// move slides
					setTimeout(function() {
						ulslider.setcss(nextelement,"left",0,"int","%");
						if(dir != 0) {
							ulslider.setcss(currentelement,"left",((dir > 0) ? "-" : "")+100,"int","%");
						}
						else if(nextid > currentid) {
							ulslider.setcss(currentelement,"left","-"+100,"int","%");
						}
						else {
							ulslider.setcss(currentelement,"left",100,"int","%");
						}
						},100);
					// reset transition
					setTimeout(function() {
						ulslider.remcss(currentelement,"-webkit-transition");
						ulslider.remcss(currentelement,"-moz-transition");
						ulslider.remcss(currentelement,"-o-transition");
						ulslider.remcss(currentelement,"transition");
						ulslider.remcss(nextelement,"-webkit-transition");
						ulslider.remcss(nextelement,"-moz-transition");
						ulslider.remcss(nextelement,"-o-transition");
						ulslider.remcss(nextelement,"transition");
						ulslider.setcss(currentelement,"left",100,"int","%");
						},opt['slidetime']+100);
				}
				// copyright
				if(this.ulnav[elmid][18]) {
					setTimeout(function(){
						var d = ulslider.ulnav[elmid][0].querySelector(".ulslider_copyright");
						var currentid = ulslider.ulnav[elmid][2];
						var currentelement = ulslider.ulnav[elmid][0].childNodes[ulslider.uldata[elmid][currentid][0]].childNodes[ulslider.uldata[elmid][currentid][1]];
						d.innerHTML = (currentelement.querySelector(".copyright")) ? ((currentelement.querySelector(".copyright_link")) ? '<a href="'+((!(/^https?:\/\//i.test(currentelement.querySelector(".copyright_link").innerHTML))) ? 'http://' : '')+currentelement.querySelector(".copyright_link").innerHTML+'" target="_blank">' : '')+currentelement.querySelector(".copyright").innerHTML+((currentelement.querySelector(".copyright_link")) ? '</a>' : '') : "";
					},opt['slidetime']);
				}
				setTimeout(function(){ulslider.toggleactclass(currentelement,0);},0);
				setTimeout(function(){ulslider.toggleactclass(nextelement,1);},opt['slidetime']);
				setTimeout(function(){ulslider.ulnav[elmid][1] = false;},opt['slidetime']+200);
			}
			else {
				if(this.ulnav[elmid][12] && this.ulnav[elmid][11]) {
					this.startstopslide(elmid);
				}
			}
		}
	},
	marklist: function(elmid,marki) {
		var starti = (this.ulnav[elmid][9]) ? 1 : 0;
		var marki = (this.ulnav[elmid][9]) ? (marki+1) : marki;
		var ei = starti;
		for(var i=starti;i<this.ulnav[elmid][5].childNodes.length;i++) {
			if(this.ulnav[elmid][5].childNodes[i].nodeName.toLowerCase() == "li") {
				this.ulnav[elmid][5].childNodes[i].className = (ei == marki) ? "marked" : "";
				ei++;
			}
		}
	},
	startstopslide: function(elmid) {
		if(this.ulnav[elmid][11]) {
			clearInterval(this.ulnav[elmid][11]);
			this.ulnav[elmid][11] = null;
			if(this.ulnav[elmid][9]) {
				this.ulnav[elmid][5].childNodes[0].className = "navigationbutton playbutton";
			}
			this.ulnav[elmid][10] = false;
		}
		else {
			this.ulnav[elmid][11] = setInterval(function(){ulslider.slide(1,0,elmid);},this.ulnav[elmid][13]);
			if(this.ulnav[elmid][9]) {
				this.ulnav[elmid][5].childNodes[0].className = "navigationbutton stopbutton";
			}
			this.ulnav[elmid][10] = true;
		}
	},
	resizewindow: function() {
		if(this.ulnav.length >= 1) {
			for(var i=0;i<this.ulnav.length;i++) {
				if(this.ulnav[i][14] == true) {
					this.setcss(this.ulnav[i][0],"width","100%","string");
					this.setcss(this.ulnav[i][0],"height","100%","string");
					var mh = mw = 0;
					for(var li=0;li<this.uldata[i].length;li++) {
						var liblock = this.ulnav[i][0].childNodes[this.uldata[i][li][0]].childNodes[this.uldata[i][li][1]];
						this.setcss(liblock,"position","relative","string");
						mw = (parseInt(this.getcssprop(liblock,"width")) > mw) ? parseInt(this.getcssprop(liblock,"width")) : mw;
						mh = (parseInt(this.getcssprop(liblock,"height")) > mh) ? parseInt(this.getcssprop(liblock,"height")) : mh;
						this.setcss(liblock,"position","absolute","string");
					}
					this.setcss(this.ulnav[i][0],"width",mw+"px","string");
					this.setcss(this.ulnav[i][0],"height",mh+"px","string");
				}
				else if(this.ulnav[i][19] >= parseInt(window.innerWidth)) {
					var mh = (parseInt(window.innerWidth) * parseInt(this.ulnav[i][0].getAttribute('data-height'))) / parseInt(this.ulnav[i][0].getAttribute('data-width'));
					this.setcss(this.ulnav[i][0],"width",parseInt(window.innerWidth)+"px","string");
					this.setcss(this.ulnav[i][0],"height",mh+"px","string");
				}
				else {
					this.setcss(this.ulnav[i][0],"width","auto","string");
				}
			}
		}
	},
	toggleactclass: function(elm,add) {
		if(/(?:^|\s*)act(?:$|\s*)/.test(elm.className)) {
			elm.className = elm.className.replace(/(?:^|\s*)act(?:$|\s*)/g, ((add == 1) ? " act" : ""));
		}
		else if(add == 1) {
			elm.className += " act";
		}
		else if(add == -1) {
			elm.className = elm.className.replace(/(?:^|\s*)act(?:$|\s*)/g, "");
		}
	}
};

// Handle onload events
function addonload(func,justdom) {
	if(typeof func == 'function') {
		// if we just need DOM ready and not the whole page rendered
		if(justdom) {
			if(document.addEventListener) {
				document.addEventListener("DOMContentLoaded", func, false);
				return;
			}
			else if(document.attachEvent) {
				document.attachEvent("onreadystatechange", func);
				return;
			}
		}
		// if neither above worked, use direct onload
	  var oldonload = window.onload;
	  if(typeof window.onload != 'function') {
	    window.onload = func;
	  }
	  else {
	    window.onload = function() {
	      if(oldonload) {
	        oldonload();
	      }
	      func();
	    }
	  }
	}
}
addonload(function(){ulslider.init()},false);